'use strict';

module.exports = {
    env: {
        commonjs: true,
        es6: true,
        node: true
    },
    parserOptions: {
        ecmaVersion: 2018
    },
    rules: {
        // Global | グローバル
        'arrow-body-style': [2, 'as-needed'],
        'arrow-parens': 2,
        'eol-last': [2, 'always'],
        eqeqeq: 2,
        'getter-return': 2,
        indent: [2, 4],
        'linebreak-style': [2, 'unix'],
        'no-alert': 2,
        'no-dupe-args': 2,
        'no-dupe-keys': 2,
        'no-empty': 2,
        'no-invalid-regexp': 2,
        'no-obj-calls': 2,
        'no-script-url': 2,
        'no-shadow': 2,
        'no-shadow-restricted-names': 2,
        'no-tabs': 2,
        'no-throw-literal': 2,
        'no-trailing-spaces': 2,
        'no-undef': 2,
        'no-var': 2,
        'one-var': 2,
        'padded-blocks': 2,
        'quote-props': [2, 'as-needed'],
        quotes: [2, 'single'],
        semi: [2, 'always'],
        'semi-spacing': [2, { before: false, after: true }],
        'semi-style': [2, 'last'],
        'unicode-bom': [2, 'never'],
        'use-isnan': 2,
        'valid-jsdoc': 2,
        'valid-typeof': [2, { requireStringLiterals: true }],
        'vars-on-top': 2,
        // Node.js
        'no-await-in-loop': 2,
        'no-duplicate-imports': 2,
        'no-sync': 2,
        'no-unused-vars': 2,
        strict: [2, 'global']
    }
};
