'use strict';

module.exports = {
    env: {
        es6: true
    },
    globals: {
        addItemInventory: true,
        android: true,
        ArmorType: true,
        bl_setMobSkin: true,
        bl_spawnMob: true,
        Block: true,
        BlockFace: true,
        ChatColor: true,
        clientMessage: true,
        com: true,
        DimensionId: true,
        Entity: true,
        EntityRenderType: true,
        EntityType: true,
        explode: true,
        getCarriedItem: true,
        getLevel: true,
        getPitch: true,
        getPlayerEnt: true,
        getPlayerX: true,
        getPlayerY: true,
        getPlayerZ: true,
        getTile: true,
        getYaw: true,
        Hooks: true,
        Item: true,
        ItemCategory: true,
        java: true,
        javax: true,
        Level: true,
        MobEffect: true,
        ModPE: true,
        net: true,
        org: true,
        ParticleType: true,
        Player: true,
        preventDefault: true,
        print: true,
        Renderer: true,
        rideAnimal: true,
        Server: true,
        setNightMode: true,
        setPosition: true,
        setPositionRelative: true,
        setRot: true,
        setTile: true,
        setVelX: true,
        setVelY: true,
        setVelZ: true,
        spawnChicken: true,
        spawnCow: true,
        spawnPigZombie: true
    },
    rules: {
        // Global | グローバル
        'arrow-body-style': [2, 'as-needed'],
        'arrow-parens': 2,
        'eol-last': [2, 'always'],
        eqeqeq: 2,
        'getter-return': 2,
        indent: [2, 4],
        'linebreak-style': [2, 'unix'],
        'no-alert': 2,
        'no-dupe-args': 2,
        'no-dupe-keys': 2,
        'no-empty': 2,
        'no-invalid-regexp': 2,
        'no-obj-calls': 2,
        'no-script-url': 2,
        'no-shadow': 2,
        'no-shadow-restricted-names': 2,
        'no-tabs': 2,
        'no-throw-literal': 2,
        'no-trailing-spaces': 2,
        'no-undef': 2,
        'no-var': 2,
        'one-var': 2,
        'padded-blocks': 2,
        'quote-props': [2, 'as-needed'],
        quotes: [2, 'single'],
        semi: [2, 'always'],
        'semi-spacing': [2, { before: false, after: true }],
        'semi-style': [2, 'last'],
        'unicode-bom': [2, 'never'],
        'use-isnan': 2,
        'valid-jsdoc': 2,
        'valid-typeof': [2, { requireStringLiterals: true }],
        'vars-on-top': 2,
        // ModPE
        'no-console': 2,
        'no-unused-vars': [2, { varsIgnorePattern: 'attackHook|blockEventHook|chatHook|chatReceiveHook|deathHook|destroyBlock|eatHook|entityAddedHook|entityRemovedHook|explodeHook|leaveGame|levelEventHook|modTick|newLevel|procCmd|redstoneUpdateHook|selectLevelHook|serverMessageReceiveHook|startDestroyBlock|useItem' }]
    }
};
